local menub = {} 
local cont = ""
local selection = 1
local function changeContent(arg)
	cont = arg
end

controls = [[You can move with the arrow keys AND the WASD keys!!]]
instructions = [[Your mission is to look around floor 1 and enjoy yourself. Dont worry about all the other floors filled with treasure monsters bears and glory.]]

local buttons = {}
buttons[1] = {0,'Start',1,function(arg)game.scene=arg end}
buttons[2] = {0,'Controls',controls,function(arg)changeContent(arg)end}
buttons[3] = {0,'Mission',instructions,function(arg)changeContent(arg)end}
buttons[4] = {0,'Quit','quit',function(arg)love.event.push(arg)end}

for i,v in ipairs(buttons) do 
	menub[i] = {scene=v[1],name=v[2],id=v[3],func=v[4],x=36,y=(i-1)*48+34}
end

function drawMenub(arg)
	if arg == 0 then 
	drawMenuFloor()
		for i,v in ipairs(menub) do
			love.graphics.setColor(185,245,52) 
			if selection == i then 
				love.graphics.setColor(0,255,0)
			end
			love.graphics.print(v.name,v.x,v.y)
		end	
		local x = 34+font:getWidth('Controls')
		--love.graphics.line(x+5,0,x+5,love.graphics.getHeight())	
		love.graphics.setFont(smallfont)
		love.graphics.printf(cont,x+10,36,love.graphics.getWidth() - x - 34)
		love.graphics.setFont(font)
	end
end

function isClickedMenub(x,y,b,arg)
	if arg == 0 then 
		if b == 'l' then 
			local mx, my = x,y
			for i,v in ipairs(menub) do 
				local x,y = v.x,v.y
				if mx >= x and 
				mx <= x + font:getWidth(v.name) and 
				my >= y and 
				my <= y + font:getHeight() then 
					local foo = v.func
					if v.id == 1 then cont = "" end 
					foo(v.id)
				end
			end
		end
	end
end

function updateMenub(arg)
	if arg == 0 then 
		local mx = love.mouse.getX()
		local my = love.mouse.getY()
		for i,v in ipairs(menub) do 
			local x,y = v.x,v.y
			if mx >= x and 
			mx <= x + font:getWidth(v.name) and 
			my >= y and 
			my <= y + font:getHeight() then 
			selection = i
			end
		end
	end
end
